/* Stockage d'une energie rvb                   */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2014                                    */

#ifndef ____ENERGIE____
#define ____ENERGIE____

#include "Rvb.h"

class Pos3D;
class Dir3D;
class FacetteTriangulaire;
class Couleur;
class LumierePonctuelle;
class LumiereDirectionnelle;

class Energie : public Rvb  {

  public :

    /* Constructeurs                            */
    Energie(void);
    Energie(double r,double v,double b);
    Energie(float r,float v,float b);
    Energie(double *c);
    Energie(float *c);
    Energie(Energie *c);

    /* Destructeur                              */
    ~Energie(void);
};

#endif
